# Pokitto

Pokitto is a very nice educational [open gaming console](open_console.md) friendly to [hacking](hacking.md) and [FOSS](foss.md). Its website is https://www.pokitto.com/.

Its great advantage is its great active and friendly community that's constantly writing software, documenting Pokitto and helping newcomers.

The console was created by Jonne Valola from Finland. He started the project on Kickstarter on April 28 2017, pledged over $27000 and released Pokitto in February 2018. { Jonne is a really nice guy who loves the project, always helps people and shared technical details. ~drummyfish }

Pokito, unlike most other open consoles, is NOT based on [Arduino](arduino.md), but on [NXP](nxp.md)'s LPC11U6x [microcontroller](mcu.md) (MCU). Some features and specs of Pokitto are:

- Up to **220x176 color display** ([TFT](tft.md)). (Resolution and color depth depends on chosen mode and how much [RAM](ram.md) you want to dedicate to [screen buffer](screen_buffer.md)).
- Up to **72 MHz [ARM](arm.md) CPU**. The base frequency is 48 MHz but the hardware is easily [overclocked](overclocking.md).
- **256 kB [ROM](rom.md)** (program storage space).
- **36 kB [RAM](ram.md)** (working memory).
- **4 kB [EEPROM](eeprom.md)** (persistent storage).
- **7 buttons**.
- **Speaker and headphone jack**.
- Both **[emulator](emulator.md) and simulator** which make programming much more efficient and comfortable.
- **Custom library** -- PokittoLib -- [free](free_software.md)-licensed { even though it contains a few small "fair use" files from the MCU vendor. ~drummyfish }. It has many features, unfortunately it's also kind of [bloated](bloat.md).
- **[SD](sd.md) card support**.
- Hardware extensions called **hats**. Available is e.g. a hat with [joystick](joystick.md) and extra buttons.
- Programming via [USB](usb.md), works on [GNU](gnu.md)/[Linux](linux.md) with [gcc](gcc.md) ARM cross compiler. Supports a few languages: **[C++](cpp.md), [C](c.md), [MicroPython](micropython.md) and [Java](java.md)**.
- Custom [IDE](ide.md) for [noobs](noob.md): FemtoIde.
- Schematics and 3D print files available.
- A huge number of games and other software has already been written.